Subject: Don't let The government shutdown keep you from your new-home

From: "FHA Home Loans" <[email-masked]>
Date: Tue, 3 Nov 2015 15:02:10 -0800

Don't let The government shutdown keep you from your new-home